Would I need to update from Yosemite to Sierra to use this display? Thank you!

LG UltraFine 4K Display

Back To Product

Follow this Question

3 Answers from the Community

  • Answer

    From the System Requirements section for this product: Operating System: macOS Sierra 10.12.1 or later

    Was this useful? Answer 1

    1 of 1 people found this useful

  • Yes. Product information says, "Operating System: macOS Sierra 10.12.1 or later".

    Was this useful? Answer 2

    1 of 1 people found this useful

  • Yes and you need a USB-C enabled mac.

    Was this useful? Answer 3

    1 of 1 people found this useful

Related Questions